Η αμερικανική κυβέρνηση προειδοποιεί την Παρασκευή για ενδεχόμενες επιθέσεις από χάκερ που σαρώνουν το Διαδίκτυο για να εντοπίσουν υπολογιστές που πάσχουν από το μεγάλο κενό ασφάλειας «Heartbleed».

Ειδικοί σε θέματα ασφάλειας υπολογιστών εκτιμούν τώρα ότι το πρόβλημα, το οποίο αφορά το λογισμικό κρυπτογράφησης OpenSSL, αφήνει εκτεθειμένους όχι μόνο τους διακομιστές δικτυακών τόπων αλλά και διακομιστές email, οικιακά PC, κινητά τηλέφωνα Android, ακόμα και προϊόντα ασφάλειας όπως τα firewall.

Ορισμένες διαδικτυακές υπηρεσίες όπως το Tumblr, η υπηρεσία ιστολογίων της Yahoo, κάλεσαν τους χρήστες τους να αλλάξουν «όλους τους κωδικούς πρόσβασης παντού». Η η Google διαβεβαιώνει ότι δεν απαιτείται αλλαγή password στις υπηρεσίες της, ενώ το Facebook κάλεσε τους χρήστες να αλλάξουν κωδικό πρόσβασης μόνο στο προφίλ τους.

Η αλλαγή password, ωστόσο, έχει νόημα μόνο αν η υπηρεσία έχει αναβαθμιστεί με τη νέα έκδοση του OpenSSL που επιλύει το πρόβλημα.

«Αν και μέχρι στιγμής δεν έχουν υπάρξει αναφορές για επιθέσεις ή κακόβουλα περιστατικά που αφορούν τη συγκεκριμένη ευπάθεια, είναι πιθανό κακόβουλοι παράγοντες στο κυβερνοδιάστημα να εκμεταλλευτούν τα ευπαθή συστήματα» δήλωσε σύμφωνα με το Reuters ο Λάρι Ζέβλιν ειδικός του αμερικανικού υπουργείου Εσωτερικής Ασφάλειας.

Οι αμερικανικές εταιρείες καλούνται να αναφέρουν στο υπουργείο τυχόν επιθέσεις, εφόσον βέβαια τις αντιληφθούν.

Σύμφωνα με το Ars Technica, ορισμένοι δικτυακοί τόποι αναφέρουν ότι, ακόμα και πριν την ανακάλυψη του Heartbleed, χάκερ επιχειρούσαν να συνδεθούν με τα δίκτυά τους για να ελέγξουν εάν είναι ευπαθή.

Σύμφωνα με στοιχεία της εταιρείας Netcraft, το Heartbleed επηρεάζει περίπου μισό εκατομμύριο διακομιστές.

Το πρόβλημα αποκαλύφθηκε τη Δευτέρα, όταν η Google και η φινλανδική εταιρεία ασφάλειας Codenomicon ανακοίνωσαν ότι υπάρχει κενό ασφάλειας στο OpenSSL, λογισμικό που χρησιμοποιείται σε πολλούς διαδικτυακούς τόπους για την κρυπτογράφηση των δεδομένων που μεταδίδονται μεταξύ του χρήστη και των διαδικτυακών υπηρεσιών που χρησιμοποιεί.

Το κενό ασφάλειας, το οποίο βαφτίστηκε Heartbleed, θα επέτρεπε σε χάκερ να διαβάζουν το περιεχόμενο της μνήμης των διακομιστών, στην οποία αποθηκεύονται ευαίσθητα δεδομένα, αλλά και να υποκλέπτουν τα κλειδιά της κρυπτογράφησης.

Θα μπορούσαν έτσι να κλέψουν κωδικούς πρόσβασης και άλλα δεδομένα των χρηστών, ή ακόμα και να στήσουν ψεύτικους δικτυακούς τόπους που παριστάνουν νόμιμες υπηρεσίες.

Μετά την αποκάλυψη όμως ειδικοί ασφάλειας προειδοποιούν ότι μέρος του κώδικα του OpenSSL χρησιμοποιείται σε μια πληθώρα προϊόντων, ακόμα και την έκδοση 4.1.1 του λειτουργικού Google Android, γνωστού ως Jelly Bean, αν και η Goοgle αρνήθηκε να σχολιάσει το θέμα.

«Περιμένω την ενημέρωση που θα λύσει το πρόβλημα» δήλωσε ο Τζεφ Μος, σύμβουλος του υπουργείου Εσωτερικής Ασφάλειας και ιδρυτής του συνεδρίου χάκινγκ Def Con. Το δίκτυο του Def Con χρησιμοποιούν firewall της McAfee, η οποία ανήκει στην Intel. Σύμφωνα με το δικτυακό τόπο της Intel, «τα προϊόντα McAfee που χρησιμοποιούν τις επηρεαζόμενες εκδόσεις του OpenSSL είναι ευάλωτα και πρέπει να ενημερωθούν.

Τουλάχιστον δέκα προϊόντα που επηρεάζονται, ανάμεσά τους και ένας διακομιστής τηλεδιασκέψεων, εντόπισε και η Cisco, η οποία συνεχίζει την έρευνα στα προϊόντα της.

Το BBC, στο μεταξύ, δημοσιεύει λίστα των δικτυακών τόπων που δεν έχουν ακόμα αναβαθμίσει τα συστήματά τους.

Το κενό ασφάλειας εκτιμάται ότι υπήρχε στον κώδικα του OpenSSL για τουλάχιστον δύο χρόνια.

Newsroom ΑΛΤΕΡ ΕΓΚΟ

Γράψτε το σχόλιο σας